* {
  padding: 0;
  margin: 0;
}

html {
  height: 100%;
}

body {
  background-color: #212529 !important;
  height: 100%;
  min-height: 100vh;
  position: relative;
  margin: 0;
  padding-bottom: 100px;
  box-sizing: border-box;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='28' height='49' viewBox='0 0 28 49'%3E%3Cg fill-rule='evenodd'%3E%3Cg id='hexagons' fill='%23171818' fill-opacity='0.4' fill-rule='nonzero'%3E%3Cpath d='M13.99 9.25l13 7.5v15l-13 7.5L1 31.75v-15l12.99-7.5zM3 17.9v12.7l10.99 6.34 11-6.35V17.9l-11-6.34L3 17.9zM0 15l12.98-7.5V0h-2v6.35L0 12.69v2.3zm0 18.5L12.98 41v8h-2v-6.85L0 35.81v-2.3zM15 0v7.5L27.99 15H28v-2.31h-.01L17 6.35V0h-2zm0 49v-8l12.99-7.5H28v2.31h-.01L17 42.15V49h-2z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

.container-fluid {
  min-height: 100%;
}

.row {
  overflow: auto;
}

.placeholder-icons {
  font-family: fontawesome, Helvetica, Arial, sans-serif !important;
}

.nominh {
  min-height: 82% !important;
}

nav {
  background: #ffffff;
  border-bottom: 6px solid #ffffff;
  border-left-width: 0;
  border-right-width: 0;
  border-image: linear-gradient(to right, #4776e6, #8e54e9) 1 stretch;
  animation: boderAnimate 5s ease-in-out infinite alternate;
  margin-bottom: 25px;
}

@keyframes boderAnimate {
  0% {
    background-position: 0% 50%
  }

  50% {
    background-position: 100% 50%
  }

  100% {
    background-position: 0% 50%
  }
}

.navbar {
  background: #212529;
}

.nav-item::after {
  content: '';
  display: block;
  width: 0px;
  height: 2px;
  background: #8e54e9;
  transition: 0.2s;
}

.nav-item:hover::after {
  width: 100%;
}

.navbar-dark .navbar-nav .active>.nav-link,
.navbar-dark .navbar-nav .nav-link.active,
.navbar-dark .navbar-nav .nav-link.show,
.navbar-dark .navbar-nav .show>.nav-link,
.navbar-dark .navbar-nav .nav-link:focus,
.navbar-dark .navbar-nav .nav-link:hover {
  color: #8e54e9;
}

.nav-link {
  padding: 5px 5px;
  transition: 0.2s;
}

.dropdown-item.active,
.dropdown-item:active {
  color: #4776e6;
}

.dropdown-item:focus,
.dropdown-item:hover {
  background: #8e54e9;
}

.anim-text {
  background: linear-gradient(to right,
      #7953cd 20%,
      #00affa 30%,
      #0190cd 70%,
      #764ada 80%);
  font-weight: bold;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  text-fill-color: transparent;
  background-size: 500% auto;
  animation: textShine 5s ease-in-out infinite alternate;
}

@keyframes textShine {
  0% {
    background-position: 0% 50%;
  }

  100% {
    background-position: 100% 50%;
  }
}

.marquee {
  overflow: hidden;
  white-space: nowrap;
  animation: marquee 10s linear infinite;
}

@keyframes marquee {
  0% {
    text-indent: 100%;
  }

  100% {
    text-indent: -100%;
  }
}

.progress-bar-striped-black {
  background-image: linear-gradient(45deg, rgba(255, 255, 255, .15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, #000000);
  background-size: 1rem 1rem;
}

.custom-progress {
  height: 2px !important;
}

canvas {
  position: fixed;
  top: 0;
  z-index: -1;
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: no-repeat;
}

.container-fluid {
  height: auto !important;
}

footer {
  position: absolute;
  clear: both;
  width: 100%;
  bottom: 0;
  /* Set the fixed height of the footer here */
  height: auto;
  background: #ffffff;
  color: #ffffff;
  border-top: 6px solid #ffffff;
  border-left-width: 0;
  border-right-width: 0;
  margin-top: auto !important;
  padding: 25px 0px 10px 0px;
  border-image: linear-gradient(to right, #8e54e9, #4776e6) 1 stretch;
}

.cover-container {
  margin-bottom: calc(10% - 100px);
  margin-top: -17px;
}

.callout {
  padding: 1.25rem;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  background-color: #f8f9fa;
  border: 1px solid #e9ecef;
  border-left-width: .39rem;
  border-radius: .39rem;
}

.callout-primary {
  border-left-color: #0d6efd;
  box-shadow: 3px 3px 5px #fd0d6e;
}

.callout-secondary {
  border-left-color: #6c757d;
  box-shadow: 3px 3px 5px #7d6c75;
}

.callout-success {
  border-left-color: #198754;
  box-shadow: 3px 3px 5px #541987;
}

.callout-danger {
  border-left-color: #d9534f;
  box-shadow: 3px 3px 5px #4fd953;
}

.callout-warning {
  border-left-color: #f0ad4e;
  box-shadow: 3px 3px 5px #4ef0ad;
}

.callout-info {
  border-left-color: #5bc0de;
  box-shadow: 3px 3px 5px #de5bc0;
}

.callout-light {
  border-left-color: #f8f9fa;
  box-shadow: 3px 3px 5px #faf8f9;
}

.callout-dark {
  border-left-color: #212529;
  box-shadow: 3px 3px 5px #292125;
}

@media (min-width: 200px) and (max-width: 299px) {
  .row {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
    display: block;
    height: auto;
  }

  .callout {
    box-sizing: border-box;
  }

  .col-6 {
    width: 100% !important;
  }
}

@media (min-width: 300px) and (max-width: 399px) {
  .row {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
    display: block;
    height: auto;
  }

  .callout {
    box-sizing: border-box;
  }

  .col-6 {
    width: 100% !important;
  }
}

@media (min-width: 400px) and (max-width: 499px) {
  .row {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
    display: block;
    height: auto;
  }

  .callout {
    box-sizing: border-box;
  }

  .col-6 {
    width: 100% !important;
  }
}

@media (min-width: 500px) and (max-width: 599px) {
  .row {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
    display: block;
    height: auto;
  }

  .callout {
    box-sizing: border-box;
  }

  .col-6 {
    width: 100% !important;
  }
}